#
# Conditional build:
%bcond_with	tests	# perform "make test" - needs network connection
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Socket-SSL
Summary:	IO::Socket::SSL - nearly transparent SSL encapsulation for IO::Socket::INET
Summary(pl.UTF-8):	IO::Socket::SSL - prawie przezroczysta obudowa SSL dla IO::Socket::INET
Name:		perl-IO-Socket-SSL
Version:	2.020
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dc0f5992492786a0bde79d2f8fb00cc1
URL:		http://search.cpan.org/dist/IO-Socket-SSL/
%if %{with tests}
BuildRequires:	perl-Net-SSLeay >= 1.46
BuildRequires:	perl-Scalar-List-Utils
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Suggests:	perl-Net-IDN-Encode
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a true drop-in replacement for IO::Socket::INET that
uses SSL to encrypt data before it is transferred to a remote server
or client. IO::Socket::SSL supports all the extra features that one
needs to write a full-featured SSL client or server application:
multiple SSL contexts, cipher selection, certificate verification, and
SSL version selection. As an extra bonus, it works perfectly with
mod_perl.

%description -l pl.UTF-8
Ten moduł jest prawdziwym zamiennikiem dla IO::Socket::INET,
używającym SSL do kodowania danych przed przesyłaniem do zdalnego
serwera lub klienta. IO::Socket::SSL wspiera wszystkie dodatkowe
rzeczy potrzebne do napisania w pełni funkcjonalnego klienta lub
serwera SSL: wiele kontekstów SSL, wybór szyfru, weryfikacja
certyfikatu, wybór wersji SSL. Ponadto wspaniale działa z mod_perlem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo "n" | \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/IO/Socket/SSL.pod

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README docs/*
%{perl_vendorlib}/IO/Socket/SSL.pm
%{perl_vendorlib}/IO/Socket/SSL
%{_mandir}/man3/IO::Socket::SSL*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Sep 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Socket-SSL.git;a=log;h=master

* Sun Sep 20 2015 Jan Palus <atler@pld-linux.org> f68711c
- up to 2.020

* Sun Jun 14 2015 Jan Palus <atler@pld-linux.org> 4e0a61d
- up to 2.016

* Sun Feb 08 2015 Jan Palus <atler@pld-linux.org> d825a17
- up to 2.012

* Sat Nov 15 2014 Adam Osuchowski <adwol@pld-linux.org> 73f13a4
- up to 2.004

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 9223370
- updated to 2.002

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> aebfe8b
- check-files cleanup

* Fri Jul 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 034770f
- up to 1.994

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 05b702b
- updated to 1.94

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> ad2a7fe
- updated to 1.74

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> f4d3f76
- up to 1.54

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 5c1bbeb
- up to 1.53

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ba7a25
- up to 1.44

* Thu May 19 2011 marti <marti@pld-linux.org> 19a9687
- up to 1.43

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 6ab9db1
- updated BRs

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> a03764b
- updated to 1.39

* Mon Dec 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 8f48c37
- S: perl-Net-IDN-Encode

* Mon Dec 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 74bed10
- unified

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> a26769a
- Up to 1.34

* Wed May 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 82291b1
- updated to 1.33

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> a4ee144
- updated to 1.31

